=head1 NAME

B<monls> - Lists monitoring plug-in modules that can be used to monitor the xCAT cluster.

=head1 SYNOPSIS

B<monls [-h| --help]>

B<monls  [-v| --version]>

B<monls> I<name> B<[-d|--description]>

B<monls [-a|--all] [-d|--description]>


=head1 DESCRIPTION

This command is used to list the status, description, the configuration scripts and the settings of one or all of the monitoring plug-in modules.


=head1 Parameters

I<name> is the name of the monitoring plug-in module.


=head1 OPTIONS


B<-a | --all>          Searches the I<XCATROOT/lib/perl/xCAT_monitoring> directory and reports all the monitoring plug-in modules. If nothing is specified, the list is read from the I<monitoring> table.

B<-d | --description>  Display the description of the plug-in modules. The description usually contains the possible settings.

B<-h | --help>         Display usage message.

B<-v | --version>      Command Version.

=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To list the status of all the monitoring plug-in modules from the I<monitoring> table, enter:

  monls

The output looks like this:

  xcatmon         monitored       node-status-monitored
  snmpmon         not-monitored

2. To list the status of all the monitoring plug-in modules including the ones that are not in the monitoring table, enter

  monls -a

The output looks like this:

  xcatmon         monitored       node-status-monitored
  snmpmon         not-monitored
  gangliamon      not-monitored
  rmcmon          monitored
  nagiosmon       not-monitored


3. To list the status and the description for I<snmpmon> module, enter:

  monls snmpmon -d


=head1 FILES

/opt/xcat/bin/monls


=head1 SEE ALSO

L<monadd(1)|monadd.1>, L<monrm(1)|monrm.1>, L<monstart(1)|monstart.1>, L<monstop(1)|monstop.1>, L<moncfg(1)|moncfg.1>, L<mondecfg(1)|mondecfg.1>

